std::ranges::adjacent_transform_view::iterator::operator*(3)

NAME
std::ranges::adjacent_transform_view::iterator::operator* - std::ranges::adjacent_transform_view::iterator::operator*

Synopsis
   constexpr decltype(auto) operator*() const noexcept(/* see below */); (since C++23)
   Returns the current element in the adjacent_transform_view.
   Let parent_ and inner_ be the data members of the iterator. Equivalent to:
 return apply([&](const auto&... iters) -> decltype(auto)
              {
                  return invoke(*parent_->fun_, *iters...);
              },
              inner_.current_);

Parameters
   (none)

Return value
   The current element.

Exceptions
   Let Is be the pack 0, 1, ..., (N - 1).
   noexcept specification:
   noexcept(std::invoke(*parent_->fun_, *std::get<Is>(inner_.current_)...))

Example
    This section is incomplete
    Reason: no example

See also
   operator[] accesses an element by index
   (C++23) (public member function)

Categories:
     * conditionally noexcept
     * Todo no example